org.apache.hadoop.io.serializer.avro

## Class AvroSerialization<T>

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.io.serializer.avro.AvroSerialization<T>

- All Implemented Interfaces:
    Configurable, org.apache.hadoop.io.serializer.Serialization<T>
  Direct Known Subclasses:
    AvroReflectSerialization, AvroSpecificSerialization

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class AvroSerialization<T>
      extends Configured
      implements org.apache.hadoop.io.serializer.Serialization<T>

  Base class for providing serialization to Avro types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSerialization()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.serializer.Serialization

      `accept, getDeserializer, getSerializer`

- - ### Constructor Detail

    - #### AvroSerialization

          public AvroSerialization()

Copyright © 2022 Apache Software Foundation. All rights reserved.